Subject: RE: proxy: more comments on draft -18

From: "Sivananda Ramnath - CTD, Chennai." <[email-masked]>
Date: Mon, 2 Dec 2002 23:23:07 +0530

Hello,

    That does not quite solve the problem. Curtis wrote a detailed mail on
the issue in which he explained a possibility for formation of loops if this
were done.

Sivanand
([email-masked])
> 
> I've always thought (perhaps erroneously) that the reason support for
> removing MEDs was included in the spec was to allow an AS to choose to
> ignore MEDs.  If it is desirable to allow an AS to choose to 
> ignore MEDs,
> and this was the motivation for supporting the removal of MEDs, then I
> propose:
> 
> 	If a MULTI_EXIT_DISC attribute will be removed before re-
> 	advertising a route into IBGP, then the attribute SHALL be
> 	considered missing when performing comparisons based on the
> 	MULTI_EXIT_DISC attribute of a route.
> 
> mrr
>

---

From: Curtis Villamizar <[email-masked]>
Date: Tue, 03 Dec 2002 07:59:20 -0500

In message <[email-masked]>, "Sivanand
> > 	MULTI_EXIT_DISC attribute of a route.

The text above would be sufficient to eliminate the route loops but
the action recommended by it would be more than is needed to eliminate
route loops and does not match current practice (afaik).  It is safe
to use the MED in comparisons of EBGP learned routes, pick one, then
strip MED, then compare the best EBGP learned routes with the IBGP
learned routes, then advertise.  The text above oversimplifies
yielding two (not quite correct) steps: strip MED, then compare.

Curtis